Gets declaring class

- « ReflectionClassConstant::getAttributes

- ReflectionClassConstant::getDocComment »

- PHP Manual
- ReflectionClassConstant
- Gets declaring class

# ReflectionClassConstant::getDeclaringClass

(PHP 7 >= 7.1.0, PHP 8)

ReflectionClassConstant::getDeclaringClass — Gets declaring class

### Description

public ReflectionClassConstant::getDeclaringClass(): ReflectionClass

Gets the declaring class.

### Parameters

This function has no parameters.

### Return Values

A ReflectionClass object.